import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { AngularFireStorage } from 'angularfire2/storage';
import { FileStoreRecord } from './file-store.record';
import { FileStoreConfig } from './file-store.config';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/takeUntil';
export declare class FileUploadComponent implements OnInit, OnDestroy {
    private storage;
    /**
     * FileStoreConfig object
     */
    config: FileStoreConfig;
    /**
     * By default developmentMode is false
     * Set this to true to observe log outputs on console
     */
    developmentMode?: boolean;
    /**
     * Output event onUpload($event:FileStoreRecord) emitted upon completion of upload task
     */
    onUpload: EventEmitter<FileStoreRecord>;
    showProgress: boolean;
    uploadPercent: Observable<number>;
    fileName: string;
    placeholder: string;
    uploadButtonName: string;
    errorFeedback: string;
    successFeedback: string;
    private fileStoreRecord;
    private uploadMetadata;
    private file;
    private unsubscribe;
    constructor(storage: AngularFireStorage);
    ngOnInit(): void;
    ngOnDestroy(): void;
    inputChanged(e: any): void;
    upload(): void;
    private uploadComplete();
    private uploadFile(file);
    private consoleLog(msg?, ...optionalParams);
}
